Subject: Re: js/scalar, was Re: What's cooking in git.git (Nov 2021, #03; Tue, 9)

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Nov 2021 10:25:51 -0800

Johannes Schindelin <[email-masked]> writes:

> P.S.: The second reason is that I was uncertain as to your decision
> regarding Stolee's thread about the optimal final location for Scalar.
> Since it seems that we can actually go forward with `contrib/scalar/` even
> if you eventually decide you prefer another place, I plan on submitting a
> new iteration with adjustments for v2.34.0, after that release.

When "make install" at the top-level of the tree starts installing
"scalar", I'd prefer to see it outside contrib/.  That is the only
preference I can think of right now.  Before that happens, if there
is a way to install it, e.g. "cd contrib/scalar && make install", as
long as it is clear that it is not yet official, I have no problems
with.

There is no hard rule that "git" has to be the only top-level
command the end-user interacts with.  We already ship "gitk" and
"git-gui" with us, and adding "scalar" to the mix is OK.  Some
people may love it, and others may hate its design choices with
passion, but that is the same for "gitk" and "git-gui" already.